Updates the article price list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

article_price_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

article_price_label_id

Foreign key of article price label

globally unique identifier

Optionally required : article_price_label_id or article_price_label must be provided

article_price_label

Embedded entity "article price label" when adding/updating

article_price_label

Optionally required : article_price_label_id or article_price_label must be provided

price

Article price, If value not given set as 0.

decimal number

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "92dab34d-7068-4786-8678-6de9e6eac942",
  "article_id": "a5fe221f-1f8b-4cb6-b4c6-74953b2a6c1d",
  "article_code": "sample string 3",
  "article_price_label_id": "44e4ff18-d4d3-4db9-a7c2-a0366d4c0e90",
  "price": 1.0,
  "modified_dateutc": "2026-10-25T14:18:16.6950372+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.